com.tibbo.aggregate.common.datatable

## Class AbstractUnmodifiableDataTable

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.AbstractDataTable
  - - com.tibbo.aggregate.common.datatable.AbstractBigDataTable
    - - com.tibbo.aggregate.common.datatable.AbstractUnmodifiableDataTable

- All Implemented Interfaces:
    DataTable, AttributedObject, PublicCloneable, StringEncodable, java.lang.Cloneable, java.lang.Iterable<DataRecord>
  Direct Known Subclasses:
    FilteringDataTable, ProxyDataTable, SortedCompositeDataTable

      public abstract class AbstractUnmodifiableDataTable
      extends AbstractBigDataTable

- - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.datatable.AbstractDataTable

      `DEFAULT_FORMAT, ELEMENT_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractUnmodifiableDataTable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataRecord` | `addRecord()` Adds new record to the table.
    `DataTable` | `addRecord(DataRecord record)` Adds new record to the table.
    `DataTable` | `addRecord(int index, DataRecord record)` Adds new record to the table at the specified index.
    `DataRecord` | `addRecord(java.lang.Object... fieldValues)` Adds new record to the table.
    `protected DataRecord` | `removeRecordImpl(int index)`
    `void` | `removeRecords(DataRecord rec)` Removes all records equal to the rec parameter from the table.
    `void` | `reorderRecord(DataRecord record, int index)` Moves specified record to position specified by `index` argument.
    `DataTable` | `setRecord(int index, DataRecord record)` Replaces record at the specified index.
    `void` | `sort(java.util.Comparator<DataRecord> comparator)`
    `void` | `sort(DataTableSorter sorter)`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.AbstractBigDataTable

      `clone, compareTo, decrementRecordCount, getRecordCount, incrementRecordCount, isSimple, makeImmutable, setId, setRecordCount, toSimpleDataTable`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.AbstractDataTable

      `addRecords, append, applyCachedFormat, cloneIfImmutable, close, conform, conformMessage, dataAsString, dataAsString, encode, encode, encode, encode, findIndex, findIndex, fixRecords, get, getDescription, getEncodedData, getEncodedData, getFieldCount, getFormat, getFormat, getFormat, getId, getInvalidationMessage, getQuality, getRecordById, getRecords, getTimestamp, getValue, hasField, isImmutable, isInvalid, joinFormats, rec, removeRecord, removeRecordsByIds, select, select, selectAll, setFormat, setInvalidationMessage, setQuality, setTimestamp, sort, splitFormat, stream, swapRecords, toString, validate, validateRecord`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.tibbo.aggregate.common.datatable.DataTable

      `dataAsString, equals, findIndex, getRecord, hashCode, isOneCellTable, iterator, iterator, toDefaultString`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### AbstractUnmodifiableDataTable

          public AbstractUnmodifiableDataTable()

  - ### Method Detail

    - #### removeRecordImpl

          protected DataRecord removeRecordImpl(int index)

      Specified by:
        `removeRecordImpl` in class `AbstractDataTable`

    - #### addRecord

          public DataTable addRecord(DataRecord record)

      Description copied from interface: `DataTable`
      Adds new record to the table.

    - #### addRecord

          public DataRecord addRecord(java.lang.Object... fieldValues)

      Description copied from interface: `DataTable`
      Adds new record to the table.

    - #### addRecord

          public DataTable addRecord(int index,
                                     DataRecord record)

      Description copied from interface: `DataTable`
      Adds new record to the table at the specified index.

    - #### addRecord

          public DataRecord addRecord()

      Description copied from interface: `DataTable`
      Adds new record to the table.

    - #### setRecord

          public DataTable setRecord(int index,
                                     DataRecord record)

      Description copied from interface: `DataTable`
      Replaces record at the specified index.

    - #### removeRecords

          public void removeRecords(DataRecord rec)

      Description copied from interface: `DataTable`
      Removes all records equal to the rec parameter from the table.

    - #### reorderRecord

          public void reorderRecord(DataRecord record,
                                    int index)

      Description copied from interface: `DataTable`
      Moves specified record to position specified by `index` argument. `record`must belong to this table, otherwise method will throw an `IllegalStateException```

    - #### sort

          public void sort(DataTableSorter sorter)

    - #### sort

          public void sort(java.util.Comparator<DataRecord> comparator)